## erlang-p1-mqtree 1.0.3

=== Makefile ===
REBAR=./rebar

all: src

src:
	$(REBAR) get-deps compile

clean:
	$(REBAR) clean

distclean: clean
	rm -f config.status
	rm -f config.log
	rm -rf autom4te.cache
	rm -rf deps
	rm -rf ebin
	rm -rf priv
	rm -f vars.config
	rm -f compile_commands.json
	rm -rf dialyzer

test: all
	mkdir -p .eunit/priv/lib
	cp priv/lib/mqtree.* .eunit/priv/lib/
	$(REBAR) -v skip_deps=true eunit

xref: all
	$(REBAR) skip_deps=true xref

deps := $(wildcard deps/*/ebin)

dialyzer/erlang.plt:
	@mkdir -p dialyzer
	@dialyzer --build_plt --output_plt dialyzer/erlang.plt \
	-o dialyzer/erlang.log --apps kernel stdlib erts; \
	status=$$? ; if [ $$status -ne 2 ]; then exit $$status; else exit 0; fi

dialyzer/deps.plt:
	@mkdir -p dialyzer
	@dialyzer --build_plt --output_plt dialyzer/deps.plt \
	-o dialyzer/deps.log $(deps); \
	status=$$? ; if [ $$status -ne 2 ]; then exit $$status; else exit 0; fi

dialyzer/mqtree.plt:
	@mkdir -p dialyzer
	@dialyzer --build_plt --output_plt dialyzer/mqtree.plt \
	-o dialyzer/ejabberd.log ebin; \
	status=$$? ; if [ $$status -ne 2 ]; then exit $$status; else exit 0; fi

erlang_plt: dialyzer/erlang.plt
	@dialyzer --plt dialyzer/erlang.plt --check_plt -o dialyzer/erlang.log; \
	status=$$? ; if [ $$status -ne 2 ]; then exit $$status; else exit 0; fi

deps_plt: dialyzer/deps.plt
	@dialyzer --plt dialyzer/deps.plt --check_plt -o dialyzer/deps.log; \
	status=$$? ; if [ $$status -ne 2 ]; then exit $$status; else exit 0; fi

mqtree_plt: dialyzer/mqtree.plt
	@dialyzer --plt dialyzer/mqtree.plt --check_plt -o dialyzer/ejabberd.log; \
	status=$$? ; if [ $$status -ne 2 ]; then exit $$status; else exit 0; fi

dialyzer: erlang_plt deps_plt mqtree_plt
	@dialyzer --plts dialyzer/*.plt --no_check_plt \
	--get_warnings -o dialyzer/error.log ebin; \
	status=$$? ; if [ $$status -ne 2 ]; then exit $$status; else exit 0; fi

check-syntax:
	gcc -o nul -S ${CHK_SOURCES}

.PHONY: clean src test all dialyzer erlang_plt deps_plt mqtree_plt

## erlang-p1-mqtree 1.0.4

=== debian/changelog ===
erlang-p1-mqtree (1.0.4-1) unstable; urgency=medium

  * New upstream version 1.0.4
  * Updated erlang dependencies
  * Modified lintian override to use version wildcard

 -- Philipp Huebner <debalance@debian.org>  Sat, 10 Aug 2019 21:28:34 +0200

erlang-p1-mqtree (1.0.3-4) unstable; urgency=medium

  * Added upstream patch to increase timeout for
    insert_then_delete_shuffle_test to fix FTBFS on mips
  * Added lintian-override for hardening-no-fortify-functions

 -- Philipp Huebner <debalance@debian.org>  Sat, 10 Aug 2019 21:18:51 +0200

erlang-p1-mqtree (1.0.3-3) unstable; urgency=medium

  * Source-only upload

 -- Philipp Huebner <debalance@debian.org>  Sat, 03 Aug 2019 08:25:20 +0200

erlang-p1-mqtree (1.0.3-2) unstable; urgency=medium

  * Corrected debian/rules to install mqtree.so into the binary package

 -- Philipp Huebner <debalance@debian.org>  Sat, 03 Aug 2019 08:21:19 +0200

erlang-p1-mqtree (1.0.3-1) unstable; urgency=medium

  * Initial release (Closes: #932800)

 -- Philipp Huebner <debalance@debian.org>  Tue, 23 Jul 2019 19:39:29 +0200

=== debian/control ===
Source: erlang-p1-mqtree
Section: libs
Priority: optional
Maintainer: Ejabberd Packaging Team <ejabberd@packages.debian.org>
Uploaders: Philipp Huebner <debalance@debian.org>
Build-Depends: debhelper (>= 12), dh-rebar, erlang-p1-utils (>= 1.0.16)
Standards-Version: 4.4.0
Homepage: https://github.com/processone/mqtree
Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-mqtree
Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-mqtree.git

Package: erlang-p1-mqtree
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, erlang-base (>= 1:19.2) | ${erlang-abi:Depends}, ${erlang:Depends},
 erlang-p1-utils (>= 1.0.16)
Description: index tree for MQTT topic filters
 mqtree is an Erlang NIF implementation of N-ary tree to keep MQTT topic filters
 for efficient matching.
 .
 This library was written for ejabberd which still uses it.
 It was split off into it's own project to follow
 Erlang/OTP guidelines.

## erlang-p1-mqtree 1.0.6

=== debian/changelog ===
erlang-p1-mqtree (1.0.6-1) unstable; urgency=medium

  * New upstream version 1.0.6
  * Updated Standards-Version: 4.5.0 (no changes needed)
  * Updated Erlang dependencies
  * Updated years in debian/copyright
  * Rules-Requires-Root: no

 -- Philipp Huebner <debalance@debian.org>  Wed, 05 Feb 2020 18:08:51 +0100

erlang-p1-mqtree (1.0.5-1) unstable; urgency=medium

  * New upstream version 1.0.5
  * Updated Standards-Version: 4.4.1 (no changes needed)
  * Updated debhelper compat version: 12
  * Fixed typo in long package description.
  * Set 'Rules-Requires-Root: no' in debian/control

 -- Philipp Huebner <debalance@debian.org>  Mon, 11 Nov 2019 16:04:24 +0100

=== debian/control ===
Source: erlang-p1-mqtree
Section: libs
Priority: optional
Maintainer: Ejabberd Packaging Team <ejabberd@packages.debian.org>
Uploaders: Philipp Huebner <debalance@debian.org>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 12),
               dh-rebar,
	       erlang-p1-utils (>= 1.0.17)
Standards-Version: 4.5.0
Homepage: https://github.com/processone/mqtree
Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-mqtree
Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-mqtree.git

Package: erlang-p1-mqtree
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
	 erlang-base (>= 1:19.2) | ${erlang-abi:Depends},
	 ${erlang:Depends},
         erlang-p1-utils (>= 1.0.17)
Description: index tree for MQTT topic filters
 mqtree is an Erlang NIF implementation of N-ary tree to keep MQTT topic filters
 for efficient matching.
 .
 This library was written for ejabberd which still uses it.
 It was split off into its own project to follow
 Erlang/OTP guidelines.

=== debian/watch ===
version=3
opts="filenamemangle=s/.*\/v?(\d\S*)\.tar\.gz/erlang-p1-mqtree_$1.tar.gz/" \
  https://github.com/processone/mqtree/releases .*/v?(\d\S*)\.tar\.gz

## erlang-p1-mqtree 1.0.10

=== debian/changelog ===
erlang-p1-mqtree (1.0.10-1) unstable; urgency=medium

  * New upstream version 1.0.10
  * Updated Erlang dependencies

 -- Philipp Huebner <debalance@debian.org>  Sun, 02 Aug 2020 17:17:25 +0200

erlang-p1-mqtree (1.0.9-1) unstable; urgency=medium

  * New upstream version 1.0.9
  * Updated Erlang dependencies
  * Added libssl-dev to Build-Depends

 -- Philipp Huebner <debalance@debian.org>  Sun, 26 Jul 2020 21:34:05 +0200

erlang-p1-mqtree (1.0.7-1) unstable; urgency=medium

  * New upstream version 1.0.7
  * Updated Erlang dependencies

 -- Philipp Huebner <debalance@debian.org>  Wed, 18 Mar 2020 11:26:14 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,8 @@
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 12),
                dh-rebar,
-	       erlang-p1-utils (>= 1.0.17)
+               erlang-p1-utils (>= 1.0.20),
+               libssl-dev
 Standards-Version: 4.5.0
 Homepage: https://github.com/processone/mqtree
 Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-mqtree
@@ -16,9 +17,9 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-	 erlang-base (>= 1:19.2) | ${erlang-abi:Depends},
-	 ${erlang:Depends},
-         erlang-p1-utils (>= 1.0.17)
+         erlang-base (>= 1:19.2) | ${erlang-abi:Depends},
+         ${erlang:Depends},
+         erlang-p1-utils (>= 1.0.20)
 Description: index tree for MQTT topic filters
  mqtree is an Erlang NIF implementation of N-ary tree to keep MQTT topic filters
  for efficient matching.

## erlang-p1-mqtree 1.0.12

=== Makefile ===
--- 
+++ 
@@ -44,7 +44,7 @@
 dialyzer/mqtree.plt:
 	@mkdir -p dialyzer
 	@dialyzer --build_plt --output_plt dialyzer/mqtree.plt \
-	-o dialyzer/ejabberd.log ebin; \
+	-o dialyzer/mqtree.log ebin; \
 	status=$$? ; if [ $$status -ne 2 ]; then exit $$status; else exit 0; fi
 
 erlang_plt: dialyzer/erlang.plt
@@ -56,7 +56,7 @@
 	status=$$? ; if [ $$status -ne 2 ]; then exit $$status; else exit 0; fi
 
 mqtree_plt: dialyzer/mqtree.plt
-	@dialyzer --plt dialyzer/mqtree.plt --check_plt -o dialyzer/ejabberd.log; \
+	@dialyzer --plt dialyzer/mqtree.plt --check_plt -o dialyzer/mqtree.log; \
 	status=$$? ; if [ $$status -ne 2 ]; then exit $$status; else exit 0; fi
 
 dialyzer: erlang_plt deps_plt mqtree_plt

=== debian/changelog ===
erlang-p1-mqtree (1.0.12-2~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Philipp Huebner <debalance@debian.org>  Tue, 09 Feb 2021 08:12:09 +0100

erlang-p1-mqtree (1.0.12-2) unstable; urgency=medium

  * Corrected Multi-Arch setting to "allowed"

 -- Philipp Huebner <debalance@debian.org>  Sun, 31 Jan 2021 18:46:21 +0100

erlang-p1-mqtree (1.0.12-1) unstable; urgency=medium

  * New upstream version 1.0.12
  * Added 'Multi-Arch: same' in debian/control
  * Updated years in debian/copyright

 -- Philipp Huebner <debalance@debian.org>  Sat, 30 Jan 2021 17:58:13 +0100

erlang-p1-mqtree (1.0.11-1) unstable; urgency=medium

  * New upstream version 1.0.11
  * Updated Standards-Version: 4.5.1 (no changes needed)
  * Updated Erlang dependencies
  * Updated version of debian/watch: 4
  * Updated debhelper compat version: 13
  * Updated lintian overrides
  * Added debian/erlang-p1-mqtree.install

 -- Philipp Huebner <debalance@debian.org>  Fri, 25 Dec 2020 23:44:02 +0100

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Maintainer: Ejabberd Packaging Team <ejabberd@packages.debian.org>
 Uploaders: Philipp Huebner <debalance@debian.org>
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-rebar,
-               erlang-p1-utils (>= 1.0.20),
+               erlang-p1-utils (>= 1.0.21),
                libssl-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/processone/mqtree
 Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-mqtree
 Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-mqtree.git
@@ -19,7 +19,8 @@
          ${misc:Depends},
          erlang-base (>= 1:19.2) | ${erlang-abi:Depends},
          ${erlang:Depends},
-         erlang-p1-utils (>= 1.0.20)
+         erlang-p1-utils (>= 1.0.21)
+Multi-Arch: allowed
 Description: index tree for MQTT topic filters
  mqtree is an Erlang NIF implementation of N-ary tree to keep MQTT topic filters
  for efficient matching.

=== debian/watch ===
version=4
opts="filenamemangle=s/.*\/v?(\d\S*)\.tar\.gz/erlang-p1-mqtree_$1.tar.gz/" \
  https://github.com/processone/mqtree/releases .*/v?(\d\S*)\.tar\.gz

## erlang-p1-mqtree 1.0.14

=== debian/changelog ===
erlang-p1-mqtree (1.0.14-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster

  [ Philipp Huebner ]
  * Updated debian/watch

 -- Philipp Huebner <debalance@debian.org>  Sat, 18 Dec 2021 14:11:30 +0100

erlang-p1-mqtree (1.0.14-1) unstable; urgency=medium

  * New upstream version 1.0.14
  * Updated Standards-Version: 4.6.0 (no changes needed)
  * Updated Erlang dependencies

 -- Philipp Huebner <debalance@debian.org>  Sun, 29 Aug 2021 21:35:06 +0200

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-rebar,
-               erlang-p1-utils (>= 1.0.21),
+               erlang-p1-utils (>= 1.0.23),
                libssl-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/processone/mqtree
 Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-mqtree
 Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-mqtree.git
@@ -17,9 +17,9 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         erlang-base (>= 1:19.2) | ${erlang-abi:Depends},
+         erlang-base | ${erlang-abi:Depends},
          ${erlang:Depends},
-         erlang-p1-utils (>= 1.0.21)
+         erlang-p1-utils (>= 1.0.23)
 Multi-Arch: allowed
 Description: index tree for MQTT topic filters
  mqtree is an Erlang NIF implementation of N-ary tree to keep MQTT topic filters

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
include /usr/share/dpkg/default.mk
export ERL_COMPILER_OPTIONS=deterministic

DESTDIR=$(CURDIR)/debian/erlang-p1-mqtree


%:
	dh $@ --buildsystem=rebar --with rebar

override_dh_auto_install:
	dh_auto_install
	for file in priv/lib/*.so ; do \
		fname=$$(basename $${file}) ; \
		subdir=$$(dirname $${file}) ; \
		if [ ! -f $(DESTDIR)/usr/lib/erlang/lib/p1_mqtree-$(DEB_VERSION_UPSTREAM)/$${subdir}/$${fname} ] ; then \
			install -m 755 -d $(DESTDIR)/usr/lib/erlang/lib/p1_mqtree-$(DEB_VERSION_UPSTREAM)/$${subdir} ; \
			install -m 644 $${file} $(DESTDIR)/usr/lib/erlang/lib/p1_mqtree-$(DEB_VERSION_UPSTREAM)/$${subdir} ; \
		fi ; \
	done

## erlang-p1-mqtree 1.0.15

=== Makefile ===
--- 
+++ 
@@ -1,9 +1,12 @@
-REBAR=./rebar
+REBAR ?= ./rebar
+
+IS_REBAR3:=$(shell expr `$(REBAR) --version | awk -F '[ .]' '/rebar / {print $$2}'` '>=' 3)
 
 all: src
 
 src:
-	$(REBAR) get-deps compile
+	$(REBAR) get-deps
+	$(REBAR) compile
 
 clean:
 	$(REBAR) clean
@@ -12,21 +15,33 @@
 	rm -f config.status
 	rm -f config.log
 	rm -rf autom4te.cache
+	rm -rf _build
 	rm -rf deps
 	rm -rf ebin
+	rm -f rebar.lock
+	rm -f test/*.beam
 	rm -rf priv
 	rm -f vars.config
 	rm -f compile_commands.json
 	rm -rf dialyzer
 
+ifeq "$(IS_REBAR3)" "1"
+test:
+	$(REBAR) eunit -v
+else
 test: all
 	mkdir -p .eunit/priv/lib
 	cp priv/lib/mqtree.* .eunit/priv/lib/
 	$(REBAR) -v skip_deps=true eunit
+endif
 
 xref: all
-	$(REBAR) skip_deps=true xref
+	$(REBAR) xref
 
+ifeq "$(IS_REBAR3)" "1"
+dialyzer:
+	$(REBAR) dialyzer
+else
 deps := $(wildcard deps/*/ebin)
 
 dialyzer/erlang.plt:
@@ -63,6 +78,7 @@
 	@dialyzer --plts dialyzer/*.plt --no_check_plt \
 	--get_warnings -o dialyzer/error.log ebin; \
 	status=$$? ; if [ $$status -ne 2 ]; then exit $$status; else exit 0; fi
+endif
 
 check-syntax:
 	gcc -o nul -S ${CHK_SOURCES}

=== debian/changelog ===
erlang-p1-mqtree (1.0.15-3) unstable; urgency=medium

  * Dropped debian/erlang-p1-mqtree.install, added debian/source/options and
    extended clean target in debian/rules (closes: #1044449)
  * Updated lintian overrides
  * Renamed debian/erlang-p1-mqtree.lintian-overrides
    -> debian/lintian-overrides

 -- Philipp Huebner <debalance@debian.org>  Tue, 26 Dec 2023 16:13:54 +0100

erlang-p1-mqtree (1.0.15-2) unstable; urgency=medium

  * Updated Standards-Version: 4.6.2 (no changes needed)
  * Updated Erlang dependencies
  * Updated years in debian/copyright

 -- Philipp Huebner <debalance@debian.org>  Wed, 08 Feb 2023 13:03:02 +0100

erlang-p1-mqtree (1.0.15-1) unstable; urgency=medium

  * New upstream version 1.0.15
  * Updated Standards-Version: 4.6.1 (no changes needed)
  * Updated Erlang dependencies
  * Updated years in debian/copyright

 -- Philipp Huebner <debalance@debian.org>  Thu, 02 Jun 2022 11:23:36 +0200

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 Uploaders: Philipp Huebner <debalance@debian.org>
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
-               dh-rebar,
-               erlang-p1-utils (>= 1.0.23),
+               dh-rebar (>= 0.0.6),
+               erlang-p1-utils (>= 1.0.25),
                libssl-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/processone/mqtree
 Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-mqtree
 Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-mqtree.git
@@ -17,9 +17,9 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         erlang-base | ${erlang-abi:Depends},
+         erlang-base, ${erlang-abi:Depends},
          ${erlang:Depends},
-         erlang-p1-utils (>= 1.0.23)
+         erlang-p1-utils (>= 1.0.25)
 Multi-Arch: allowed
 Description: index tree for MQTT topic filters
  mqtree is an Erlang NIF implementation of N-ary tree to keep MQTT topic filters

=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,7 @@
 %:
 	dh $@ --buildsystem=rebar --with rebar
 
+
 override_dh_auto_install:
 	dh_auto_install
 	for file in priv/lib/*.so ; do \
@@ -20,3 +21,7 @@
 			install -m 644 $${file} $(DESTDIR)/usr/lib/erlang/lib/p1_mqtree-$(DEB_VERSION_UPSTREAM)/$${subdir} ; \
 		fi ; \
 	done
+
+override_dh_auto_clean:
+	dh_auto_clean
+	rm -rf compile_commands.json

## erlang-p1-mqtree 1.0.17

=== debian/changelog ===
erlang-p1-mqtree (1.0.17-2) unstable; urgency=medium

  * Updated Standards-Version: 4.7.0 (no changes needed)
  * Updated years in debian/copyright
  * debian/rules: add creation of symbolic link for native app name

 -- Philipp Huebner <debalance@debian.org>  Sun, 09 Feb 2025 11:03:22 +0100

erlang-p1-mqtree (1.0.17-1) unstable; urgency=medium

  * New upstream version 1.0.17
  * Updated Erlang dependencies

 -- Philipp Huebner <debalance@debian.org>  Thu, 03 Oct 2024 17:45:03 +0200

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-rebar (>= 0.0.6),
-               erlang-p1-utils (>= 1.0.25),
+               erlang-p1-utils (>= 1.0.26),
                libssl-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/processone/mqtree
 Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-mqtree
 Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-mqtree.git
@@ -19,7 +19,7 @@
          ${misc:Depends},
          erlang-base, ${erlang-abi:Depends},
          ${erlang:Depends},
-         erlang-p1-utils (>= 1.0.25)
+         erlang-p1-utils (>= 1.0.26)
 Multi-Arch: allowed
 Description: index tree for MQTT topic filters
  mqtree is an Erlang NIF implementation of N-ary tree to keep MQTT topic filters

=== debian/watch ===
version=4
opts="filenamemangle=s/.*\/v?(\d\S*)\.tar\.gz/erlang-p1-mqtree_$1.tar.gz/" \
  https://github.com/processone/mqtree/tags .*/v?(\d\S*)\.tar\.gz

## erlang-p1-mqtree 1.0.19

=== debian/changelog ===
erlang-p1-mqtree (1.0.19-1) unstable; urgency=medium

  * Team upload.
  * Update d/watch to version 5.
  * New upstream release.

 -- Dominik George <natureshadow@debian.org>  Wed, 11 Feb 2026 21:56:18 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-rebar (>= 0.0.6),
-               erlang-p1-utils (>= 1.0.26),
+               erlang-p1-utils (>= 1.0.28),
                libssl-dev
 Standards-Version: 4.7.0
 Homepage: https://github.com/processone/mqtree

=== debian/watch ===
Version: 5
Template: GitHub
Dist: https://github.com/processone/mqtree
